Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List ideas

List all ideas in the workspace with pagination and filtering. Archived ideas are excluded from results.

GET/ideas
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Query parameters
limitinteger

Maximum number of ideas to return (1-100)

min 1 · max 100 · default: 20
cursorstring<uuid>

Cursor for pagination (idea ID from the last item of previous page)

idsstring<uuid>[] | string<uuid>

Fetch specific ideas by IDs

channelstring

Filter by channel

Allowed:LinkedInTwitterTikTokYouTubeShorts
linkedInProfileIdstring<uuid>

Filter by LinkedIn profile ID

xProfileIdstring<uuid>

Filter by X/Twitter profile ID

tikTokProfileIdstring<uuid>

Filter by TikTok profile ID

youTubeProfileIdstring<uuid>

Filter by YouTube channel profile ID

labelIdsstring<uuid>[] | string<uuid>

Filter by label IDs (ideas with any of these labels)

createdAtMinstring<date-time>

Filter ideas created on or after this date

createdAtMaxstring<date-time>

Filter ideas created on or before this date

sortBystring

Field to sort by

default: "createdAt"
Allowed:createdAt
sortOrderstring

Sort order

default: "desc"
Allowed:ascdesc
Responses
200

List of ideas

ideasIdea[]
Show properties
Array of Idea
idstring<uuid>
urlstring<uri>
titlestring
channelsstring[]
statusstring

Always 'Idea' for ideas

createdAtstring<date-time>
updatedAtstring<date-time>
linkedInobject | null
Show properties
profileobject | null
Show properties
idstring<uuid>

Profile ID

namestring | null

Profile name

detailstring | null

Profile detail (vanity name for LinkedIn, @username for X)

copystring
assetsAsset[]

Assets attached to the LinkedIn content

Show properties
Array of Asset
idstring<uuid>

Asset ID

namestring

Original filename

urlstring<uri>

URL to access the asset

mimetypestring

MIME type of the file (e.g., image/jpeg, video/mp4)

sizeinteger

File size in bytes

widthinteger | null

Width in pixels for images and videos

heightinteger | null

Height in pixels for images and videos

durationnumber | null

Duration in seconds for videos

xobject | null

X (Twitter) content

Show properties
profileobject | null
Show properties
idstring<uuid>

Profile ID

namestring | null

Profile name

detailstring | null

Profile detail (vanity name for LinkedIn, @username for X)

tweetsobject[]
Show properties
Array of object
copystring
assetsAsset[]

Assets attached to this tweet

Show properties
Array of Asset
idstring<uuid>

Asset ID

namestring

Original filename

urlstring<uri>

URL to access the asset

mimetypestring

MIME type of the file (e.g., image/jpeg, video/mp4)

sizeinteger

File size in bytes

widthinteger | null

Width in pixels for images and videos

heightinteger | null

Height in pixels for images and videos

durationnumber | null

Duration in seconds for videos

tikTokTikTokContent | null

TikTok content. Present when the post targets the TikTok channel.

Show properties
profileobject | null
Show properties
idstring<uuid>

Profile ID

namestring | null

Profile name

detailstring | null

Profile detail (vanity name for LinkedIn, @username for X)

copystring

Caption text

assetsAsset[]

Assets attached to the TikTok post (one video).

Show properties
Array of Asset
idstring<uuid>

Asset ID

namestring

Original filename

urlstring<uri>

URL to access the asset

mimetypestring

MIME type of the file (e.g., image/jpeg, video/mp4)

sizeinteger

File size in bytes

widthinteger | null

Width in pixels for images and videos

heightinteger | null

Height in pixels for images and videos

durationnumber | null

Duration in seconds for videos

privacyLevelTikTokPrivacyLevel

Audience visibility for the TikTok video.

Allowed:PUBLIC_TO_EVERYONEFOLLOWER_OF_CREATORMUTUAL_FOLLOW_FRIENDSSELF_ONLY
isCommentDisabledboolean
isDuetDisabledboolean
isStitchDisabledboolean
isPromotingBusinessboolean
isPaidPartnershipboolean
videoCoverTimestampMsinteger<int32> | null

Timestamp (in milliseconds) of the video frame used as the cover thumbnail. Null when not set.

youTubeShortsYouTubeShortsContent | null

YouTube Shorts content. Present when the post targets the YouTube Shorts channel.

Show properties
profileobject | null
Show properties
idstring<uuid>

Profile ID

namestring | null

Profile name

detailstring | null

Profile detail (vanity name for LinkedIn, @username for X)

titlestring | null

Video title

descriptionstring | null

Video description

assetsAsset[]

Assets attached to the YouTube Shorts post (one video).

Show properties
Array of Asset
idstring<uuid>

Asset ID

namestring

Original filename

urlstring<uri>

URL to access the asset

mimetypestring

MIME type of the file (e.g., image/jpeg, video/mp4)

sizeinteger

File size in bytes

widthinteger | null

Width in pixels for images and videos

heightinteger | null

Height in pixels for images and videos

durationnumber | null

Duration in seconds for videos

privacyStatusYouTubePrivacyStatus

Audience visibility for the YouTube Shorts video.

Allowed:publicprivateunlisted
categoryIdstring | null
notifySubscribersboolean
isEmbeddableboolean
isSelfDeclaredMadeForKidsboolean
nextCursorstring | null

Cursor for the next page of results

hasMoreboolean

Whether there are more results

401

Unauthorized - Missing or invalid API key

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/ideas' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "ideas": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "http://example.com",
      "title": "string",
      "channels": [
        "string"
      ],
      "status": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "linkedIn": {
        "profile": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "detail": "string"
        },
        "copy": "string",
        "assets": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "url": "http://example.com",
            "mimetype": "string",
            "size": 0,
            "width": 0,
            "height": 0,
            "duration": 0
          }
        ]
      },
      "x": {
        "profile": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "detail": "string"
        },
        "tweets": [
          {
            "copy": "string",
            "assets": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "url": "http://example.com",
                "mimetype": "string",
                "size": 0,
                "width": 0,
                "height": 0,
                "duration": 0
              }
            ]
          }
        ]
      },
      "tikTok": {
        "profile": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "detail": "string"
        },
        "copy": "string",
        "assets": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "url": "http://example.com",
            "mimetype": "string",
            "size": 0,
            "width": 0,
            "height": 0,
            "duration": 0
          }
        ],
        "privacyLevel": "PUBLIC_TO_EVERYONE",
        "isCommentDisabled": true,
        "isDuetDisabled": true,
        "isStitchDisabled": true,
        "isPromotingBusiness": true,
        "isPaidPartnership": true,
        "videoCoverTimestampMs": 0
      },
      "youTubeShorts": {
        "profile": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "detail": "string"
        },
        "title": "string",
        "description": "string",
        "assets": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "url": "http://example.com",
            "mimetype": "string",
            "size": 0,
            "width": 0,
            "height": 0,
            "duration": 0
          }
        ],
        "privacyStatus": "public",
        "categoryId": "string",
        "notifySubscribers": true,
        "isEmbeddable": true,
        "isSelfDeclaredMadeForKids": true
      }
    }
  ],
  "nextCursor": "string",
  "hasMore": true
}